org.bouncycastle.asn1.cmp

## Class PBMParameter

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.PBMParameter

All Implemented Interfaces:
  DEREncodable

    public class PBMParameter
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static PBMParameter` `getInstance(java.lang.Object o)`
`DERInteger` `getIterationCount()`
`AlgorithmIdentifier` `getMac()`
`AlgorithmIdentifier` `getOwf()`

`DERObject`

`toASN1Object()`
PBMParameter ::= SEQUENCE { salt OCTET STRING, -- note: implementations MAY wish to limit acceptable sizes -- of this string to values appropriate for their environment -- in order to reduce the risk of denial-of-service attacks owf AlgorithmIdentifier, -- AlgId for a One-Way Function (SHA-1 recommended) iterationCount INTEGER, -- number of times the OWF is applied -- note: implementations MAY wish to limit acceptable sizes -- of this integer to values appropriate for their environment -- in order to reduce the risk of denial-of-service attacks mac AlgorithmIdentifier -- the MAC AlgId (e.g., DES-MAC, Triple-DES-MAC [PKCS11], } -- or HMAC [RFC2104, RFC2202])

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static PBMParameter getInstance(java.lang.Object o)

#### getOwf

    public AlgorithmIdentifier getOwf()

#### getIterationCount

    public DERInteger getIterationCount()

#### getMac

    public AlgorithmIdentifier getMac()

#### toASN1Object

    public DERObject toASN1Object()

      PBMParameter ::= SEQUENCE {
                            salt                OCTET STRING,
                            -- note:  implementations MAY wish to limit acceptable sizes
                            -- of this string to values appropriate for their environment
                            -- in order to reduce the risk of denial-of-service attacks
                            owf                 AlgorithmIdentifier,
                            -- AlgId for a One-Way Function (SHA-1 recommended)
                            iterationCount      INTEGER,
                            -- number of times the OWF is applied
                            -- note:  implementations MAY wish to limit acceptable sizes
                            -- of this integer to values appropriate for their environment
                            -- in order to reduce the risk of denial-of-service attacks
                            mac                 AlgorithmIdentifier
                            -- the MAC AlgId (e.g., DES-MAC, Triple-DES-MAC [PKCS11],
        }   -- or HMAC [RFC2104, RFC2202])

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.